function res = o_quadropod_sign(pos, o_Quadropod,R, RP)

rp1_pos = o_Quadropod(pos,1);
rp2_pos = o_Quadropod(pos,2);

if rp1_pos <= 0
    rp1 = rectangle_pair_flip(RP(abs(rp1_pos),:));
else
    rp1 = RP(abs(rp1_pos),:);
end


if rp2_pos <= 0
    rp2 = rectangle_pair_flip(RP(abs(rp2_pos),:));
else
    rp2 = RP(abs(rp2_pos),:);
end

%%%%rectangle pairs flipped accordingly.

%%%%%now: I wish to find the sign of the third part of the rectangle 1 
%%%%%after possibly flipping the rectangle.


%%%%%the rectangle I'm interested in is the first in the first rectangle pair:
%%%%%and the second in the second rectangle pair.
r11_interested_pos = rp1(1);
s11_interested = rp1(2);

r21_interested_pos = rp2(1);
s21_interested = rp2(2);


if s11_interested <= 0
    r11 = rectangle_pair_flip(R(r11_interested_pos,:)); %%%%flip the rectangle (it's the same
    %%%%%flipping as for rectangle pairs)
else
    r11 = R(r11_interested_pos,:);
end

%%%%%same for the other rectangle
if s21_interested <= 0
    r21 = rectangle_pair_flip(R(r21_interested_pos,:)); %%%%flip the rectangle (it's the same
    %%%%%flipping as for rectangle pairs)
else
    r21 = R(r21_interested_pos,:);
end


%%%%%finally I have the rectangles r11 and r21 up to the sign in which I
%%%%%need them. The determining sign is the one on the right hand side:



res = r11(4)+r21(4);


end